{% extends "base.html" %}
{% block content %}
<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">{{object.name}}

            </h1>
        </div>
        <div class="col-lg-12">
            <table class="table">

                <tr>
                    <th>Id</th>
                    <td>{{object.id}}</td>
                </tr>
                <tr>
                    <th>Name</th>
                    <td>{{object.name}}</td>
                </tr>
                <tr>
                    <th>Mobile</th>
                    <td>{{object.mobile}}</td>
                </tr>

                <tr>

                <th>To be paid</th>
                <td>{{object.get_due.residual_debt}}</td>
                </tr>
                <th>Diagnose</th>
                <td>{{object.diagnose}}</td>
                </tr>
                <tr>
                    <th>Add a Visit</th>
                    <td><a href="{% url 'visit:add' object.id %}" class="btn btn-warning" title="Edit"
                           data-original-title="Edit">
                        <i class="fa fa-paperclip"></i>
                    </a></td>
                </tr>

            </table>
            <!-- /.table-responsive -->
            <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-example">
                <thead>
                <tr>
                    <th>ID</th>
                    <th class="text-center">Note</th>
                    <th class="text-center">Image</th>
                    <th>Cost</th>
                    <th>paid</th>
                    <th class="text-center">Created</th>

                </tr>
                </thead>
                <tbody>
                {% for obj in object.visit_set.all %}
                <tr id="ddata-{obj.id}">
                    <td>{{obj.id}}</td>
                    <td>{{obj.note}}</td>
                    <td>
                        {% if obj.attachment %}
                        <img width="100" style="cursor:pointer" onClick="window.location.href='{{obj.attachment.url}}'"
                             src="{{obj.attachment.url}}" alt="{{obj.client.name}}"/>
                        {% else %}
                        No Image
                        {% endif %}
                    </td>
                    <td>{{obj.cost}}</td>
                    <td>{{obj.paid}}</td>
                    <td>{{obj.created_at|timesince}} ago.</td>
                </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
        <!-- /.col-lg-12 -->
    </div>
    <!-- /.row -->

</div>
{%endblock content%}
